---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: gitlab-token
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: doppler
  target:
    name: gitlab-token-secret
    creationPolicy: Owner
    template:
      engineVersion: v2
      data:
        token: "{{ .FLUX_GITLAB_CI_TOKEN }}"
  dataFrom:
    - extract:
        key: FLUX
